# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Source.SourceState

    java.lang.Object
      com.google.gdata.data.Source.SourceState

Enclosing class:
  Source

    protected static class Source.SourceState

extends java.lang.Object

The SourceState class provides a simple structure that encapsulates the attributes of an Atom source that should be shared with a shallow copy if the entry is adapted to a more specific Source `Kind.Adaptor` subtypes.

See Also:
  `Source.Source(Source)`

Field Summary
`java.util.LinkedList<Person>` `authors` Authors.
`java.util.HashSet<Category>` `categories` Categories.
`java.util.LinkedList<Person>` `contributors` Contributors.
`Generator` `generator` Generator.
`java.lang.String` `icon` Icon URI.
`java.lang.String` `id` Feed ID.
`java.util.LinkedList<Link>` `links` Links.
`java.lang.String` `logo` Logo image URI.
`TextConstruct` `rights` Rights.
`TextConstruct` `subtitle` Subtitle.
`TextConstruct` `title` Title.
`DateTime` `updated` Last updated timestamp.

Constructor Summary
`protected` `Source.SourceState()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Feed ID.

### updated

    public DateTime updated

  Last updated timestamp.

### categories

    public java.util.HashSet<Category> categories

  Categories.

### title

    public TextConstruct title

  Title.

### subtitle

    public TextConstruct subtitle

  Subtitle.

### rights

    public TextConstruct rights

  Rights.

### icon

    public java.lang.String icon

  Icon URI.

### logo

    public java.lang.String logo

  Logo image URI.

### links

    public java.util.LinkedList<Link> links

  Links.

### authors

    public java.util.LinkedList<Person> authors

  Authors.

### contributors

    public java.util.LinkedList<Person> contributors

  Contributors.

### generator

    public Generator generator

  Generator.

Constructor Detail

### Source.SourceState

    protected Source.SourceState()